# Build deposit transaction

## Build deposit transaction

> Build deposit transaction

```json
{"openapi":"3.1.1","info":{"title":"Espresso API Server","version":"1.0"},"security":[{"ApiKeyAuth":[]}],"paths":{"/accounts/deposit/build":{"post":{"description":"Build deposit transaction","tags":["accounts"],"summary":"Build deposit transaction","parameters":[{"schema":{"type":"string"},"description":"API Key","name":"X-API-KEY","in":"header","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.BuildDepositTransactionResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_requests.BuildDepositTransactionRequest"}}},"description":"Build deposit transaction request","required":true}}}},"components":{"schemas":{"espresso_internal_api_response.BuildDepositTransactionResponse":{"type":"object","properties":{"tx_hex":{"type":"string"}}},"espresso_internal_api_response.ErrorJSONWithCodeResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"}}},"espresso_internal_api_requests.BuildDepositTransactionRequest":{"type":"object","required":["deposit_amount","input_utxos"],"properties":{"deposit_amount":{"type":"array","items":{"$ref":"#/components/schemas/rum.Asset"}},"input_utxos":{"type":"array","items":{"$ref":"#/components/schemas/rum.UTxO"}}}},"rum.Asset":{"type":"object","required":["quantity","unit"],"properties":{"quantity":{"type":"string"},"unit":{"type":"string"}}},"rum.UTxO":{"type":"object","required":["input","output"],"properties":{"input":{"$ref":"#/components/schemas/rum.Input"},"output":{"$ref":"#/components/schemas/rum.Output"}}},"rum.Input":{"type":"object","required":["output_index","tx_hash"],"properties":{"output_index":{"type":"integer"},"tx_hash":{"type":"string"}}},"rum.Output":{"type":"object","required":["address","amount"],"properties":{"address":{"type":"string"},"amount":{"type":"array","items":{"$ref":"#/components/schemas/rum.Asset"}},"data_hash":{"type":"string"},"plutus_data":{"type":"string"},"script_hash":{"type":"string"},"script_ref":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltadefi.io/start-trading/developers/api-documentation/account/build-deposit-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
